{
  "name": "10xSwitchBox",
  "checkItems": [
    {
      "collectType": "深入检测",
      "subTypes": [
        {
          "typeName": "深入检测",
          "cmds": [
            "@include 10xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/common/deepDiag.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机全面诊断_10X"
        }
      ]
    },
    {
      "collectType": "网管与监控",
      "subTypes": [
        {
          "typeName": "端口镜像SPAN无法镜像到报文",
          "cmds": [
            "@include 10xSwitchAll.json/网管与监控/端口镜像SPAN无法镜像到报文"
          ],
          "t": "",
          "mapHtml": "html/pi/netManageAndMonitor.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 镜像端口异常"
        }
      ]
    },
    {
      "collectType": "IP路由",
      "subTypes": [
        {
          "typeName": "OSPF路由异常",
          "cmds": [
            "@include 10xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json OSPF路由震荡问题"
        }
      ]
    },
    {
      "collectType": "系统相关",
      "subTypes": [
        {
          "typeName": "电源告警或异常",
          "cmds": [
            "@include 10xSwitchAll.json/系统相关/电源告警或异常"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "风扇告警或异常",
          "cmds": [
            "@include 10xSwitchAll.json/系统相关/风扇告警或异常"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "cpu异常冒高",
          "cmds": [
            "@include 10xSwitchAll.json/系统相关/cpu异常冒高"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机CPU高_10X"
        },
        {
          "typeName": "内存异常冒高",
          "cmds": [
            "@include 10xSwitchAll.json/系统相关/内存异常冒高"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "VSU状态异常或无法组建",
          "cmds": [
            "@include 10xSwitchAll.json/系统相关/VSU状态异常或无法组建"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        }
      ]
    },
    {
      "collectType": "二层业务",
      "subTypes": [
        {
          "typeName": "端口不能UP",
          "cmds": [
            "@include 10xSwitchAll.json/二层业务/端口不能UP"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2_noUp.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机端口不能UP_10X"
        },
        {
          "typeName": "端口丢包",
          "cmds": [
            "@include 10xSwitchAll.json/二层业务/端口丢包"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "端口聚合后链路不通",
          "cmds": [
            "@include 10xSwitchAll.json/二层业务/端口聚合后链路不通"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "LACP协商失败",
          "cmds": [
            "@include 10xSwitchAll.json/二层业务/LACP协商失败"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "生成树端口状态异常",
          "cmds": [
            "@include 10xSwitchAll.json/二层业务/生成树端口状态异常"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "POE端口无法供电",
          "cmds": [
            "@include 10xSwitchAll.json/二层业务/POE端口无法供电"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_layer2_pppoe.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json POE端口无法供电_10X"
        }
      ]
    },
    {
      "collectType": "IP地址与应用",
      "subTypes": [
        {
          "typeName": "DHCP无法获取IP地址",
          "cmds": [
            "@include 10xSwitchAll.json/IP地址与应用/DHCP无法获取IP地址"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipAddr.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json DHCP无法获取IP地址_10X"
        },
        {
          "typeName": "IPV4用户无法ping通网关",
          "cmds": [
            "@include 10xSwitchAll.json/IP地址与应用/IPV4用户无法ping通网关",
            "show efmp buffer address",
            "show efmp buffer large",
            "show efmp buffer normal",
            "show efmp buffer super",
            "show efmp buffer statistics",
            "show efmp flow",
            "show efmp fpa"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipv4.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "IPV4用户可ping通网关，无法ping通外网",
          "cmds": [
            "@include 10xSwitchAll.json/IP地址与应用/IPV4用户可ping通网关，无法ping通外网",
            "show efmp buffer address",
            "show efmp buffer large",
            "show efmp buffer normal",
            "show efmp buffer super",
            "show efmp buffer statistics",
            "show efmp flow",
            "show efmp fpa"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipv6.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "IPV6用户无法ping外网",
          "cmds": [
            "@include 10xSwitchAll.json/IP地址与应用/IPV6用户无法ping外网",
            "show efmp buffer address",
            "show efmp buffer large",
            "show efmp buffer normal",
            "show efmp buffer super",
            "show efmp buffer statistics",
            "show efmp flow",
            "show efmp fpa"
          ],
          "t": "",
          "mapHtml": "html/switch/switch_ipv6.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        },
        {
          "typeName": "BFD震荡",
          "cmds": [
            "@include 10xSwitchAll.json/IP地址与应用/BFD震荡"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        }
      ]
    },
    {
      "collectType": "认证问题",
      "subTypes": [
        {
          "typeName": "WEB认证无法弹开认证页面",
          "cmds": [
            "@include 10xSwitchAll.json/认证问题/WEB认证无法弹开认证页面"
          ],
          "t": "",
          "mapHtml": "html/switch/noAuthPage_10x.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 交换机WEB认证检测_10X"
        }
      ]
    },
    {
      "collectType": "安全类问题",
      "subTypes": [
        {
          "typeName": "功能不生效",
          "cmds": [
            "@include 10xSwitchAll.json/安全类问题/功能不生效"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        }
      ]
    },
    {
      "collectType": "防火墙卡",
      "subTypes": [
        {
          "typeName": "防火墙卡流量访问异常",
          "cmds": [
            "@include 10xSwitchAll.json/防火墙卡/防火墙卡流量访问异常"
          ],
          "t": "",
          "mapHtml": "html/switch/firewall.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 交换机公共诊断_10X"
        }
      ]
    },
    {
      "collectType": "自定义收集",
      "subTypes": [
        {
          "typeName": "自定义收集",
          "cmds": [
            "@include 10xSwitchAll.json/未知故障/未知故障"
          ],
          "t": "",
          "mapHtml": "html/common/defineCollect.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "costomize": true,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "全面诊断",
      "subTypes": [
        {
          "typeName": "全面诊断",
          "cmds": [ ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "overallDiag": true,
          "diagRule": "@include diagrules.json 交换机全面诊断_10X"
        }
      ]
    }
  ]
}